> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve inventory detail

> Retrieves inventory details for a specific product, product variant, or lot/batch based on the parameters provided.



## OpenAPI

````yaml https://openapi.commercengine.io/ce-admin.json get /pos/catalog/inventories/detail
openapi: 3.1.0
info:
  title: CE Admin APIs
  version: '1.0'
  summary: Comprehensive admin interface for managing your e-commerce platform
  description: >-
    Complete administrative API suite for Commerce Engine, providing powerful
    tools to manage products, orders, customers, inventory, analytics, and
    system configuration. Designed for administrators and backend integrations
    requiring full platform control.
  license:
    name: All Rights Reserved
    url: https://www.commercengine.io/contact-us
  contact:
    email: support@commercengine.io
    url: https://www.commercengine.io/contact-us
    name: Support
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/admin
    description: Staging Server
    variables:
      store_id:
        default: store_id
        description: Store ID
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/admin
    description: Prod Server
    variables:
      store_id:
        default: store_id
        description: Store ID
security:
  - Authorization: []
tags:
  - name: Analytics
    description: Analytics
  - name: Catalog
    description: Catalog
  - name: Coupons & promotions
    description: Coupons & promotions
  - name: Customers
    description: Customers
  - name: Filter Options
    description: Filter Options
  - name: Inventories
    description: Inventories
  - name: Marketplace
    description: Marketplace
  - name: Marketplace Catalog
    description: Marketplace Catalog
  - name: Media Gallery
    description: Media Gallery
  - name: Metrics
    description: Metrics
  - name: Orders
    description: Orders
  - name: Payments
    description: Payments
  - name: Payouts
    description: Payouts
  - name: POS
    description: POS
  - name: POSAdmin
    description: Admin endpoints to be used as proxy in pos
  - name: Segments
    description: Segments
  - name: Shipping
    description: Shipping
  - name: SSE
    description: SSE
  - name: Store
    description: Store
  - name: Webhooks
    description: Webhooks
paths:
  /pos/catalog/inventories/detail:
    get:
      tags:
        - POSAdmin
      summary: Retrieve inventory detail
      description: >-
        Retrieves inventory details for a specific product, product variant, or
        lot/batch based on the parameters provided.
      operationId: pos-list-inventory-detail
      parameters:
        - name: lot_batch
          in: query
          description: lot batch of selected productor or variant.
          schema:
            type: string
        - name: product_id
          in: query
          description: Product Id
          required: true
          schema:
            type: string
        - name: variant_id
          in: query
          description: Variant Id
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      inventory:
                        $ref: '#/components/schemas/InventoryDetail'
                    type: object
components:
  schemas:
    InventoryDetail:
      title: InventoryDetail
      allOf:
        - $ref: '#/components/schemas/ItemWiseInventory'
        - type: object
          properties:
            details:
              type: array
              items:
                $ref: '#/components/schemas/WarehouseWiseInventory'
      x-tags:
        - Catalog
    ItemWiseInventory:
      title: ItemWiseInventory
      type: object
      properties:
        product_id:
          type: string
        product_name:
          type: string
        variant_id:
          type: string
        variant_name:
          type: string
        sku:
          type: string
        track_quantity:
          type: boolean
        allow_backorder:
          type: boolean
        track_lot_batch:
          type: boolean
        low_stock_threshold:
          type: number
          format: decimal
        received_quantity:
          type: number
          format: decimal
        reserved_quantity:
          type: number
          format: decimal
        sold_quantity:
          type: number
          format: decimal
        adjusted_quantity:
          type: number
          format: decimal
        stock_quantity:
          type: number
          format: decimal
        images:
          type: array
          items:
            $ref: '#/components/schemas/ProductImage'
    WarehouseWiseInventory:
      title: WarehouseWiseInventory
      type: object
      properties:
        lot_batch:
          type: string
        mfg_date:
          type: string
          format: date
        exp_date:
          type: string
          format: date
        manufacturer:
          type: string
        warehouse_id:
          type: string
        warehouse:
          $ref: '#/components/schemas/WarehouseBasicDetail'
        received_quantity:
          type: integer
        reserved_quantity:
          type: integer
        sold_quantity:
          type: integer
        adjusted_quantity:
          type: integer
        stock_quantity:
          type: integer
      x-tags:
        - Catalog
    ProductImage:
      title: ProductImage
      type: object
      properties:
        title:
          type:
            - string
            - 'null'
          maxLength: 128
        alternate_text:
          type:
            - string
            - 'null'
          maxLength: 128
        sort_order:
          type: integer
          format: int32
        url_tiny:
          type: string
          maxLength: 512
        url_thumbnail:
          type: string
          maxLength: 512
        url_standard:
          type: string
          maxLength: 512
        url_zoom:
          type: string
          maxLength: 512
        file_id:
          type: string
        file_type:
          enum:
            - image
      x-tags:
        - Catalog
    WarehouseBasicDetail:
      title: WarehouseBasicDetail
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        address_line1:
          type: string
        pincode:
          type: string
        city:
          type: string
        state:
          type: string
        is_default:
          type: boolean
      x-tags:
        - Catalog
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer

````